# Class PartPluginAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.internal.PluginAction
org.eclipse.ui.internal.PartPluginAction

All Implemented Interfaces:
  `EventListener, IAction, ISelectionChangedListener, INullSelectionListener, IPluginContribution, ISelectionListener`

Direct Known Subclasses:
  `EditorPluginAction, ViewPluginAction`

public class PartPluginAction extends PluginAction
This class adds to the PluginAction support by setting itself up for work within a WorkbenchPart. The main difference is that it is capable of processing local selection changes within a part.

## Field Summary

### Fields inherited from interface IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`PartPluginAction(IConfigurationElement actionElement, String id, int style)`
PartPluginAction constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`registerSelectionListener(IWorkbenchPart aPart)`
Registers this action as a listener of the workbench part.
`protected void`
`unregisterSelectionListener(IWorkbenchPart aPart)`
Unregisters this action as a listener of the workbench part.

### Methods inherited from class PluginAction

`createDelegate, dispose, disposeDelegate, getConfigElement, getDelegate, getLocalId, getMenuCreator, getOverrideActionId, getPluginId, getSelection, initDelegate, isOkToCreateDelegate, refreshEnablement, run, runWithEvent, selectionChanged, selectionChanged, selectionChanged, validateDelegate`

### Methods inherited from class Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PartPluginAction

public PartPluginAction(IConfigurationElement actionElement, String id, int style)
PartPluginAction constructor.

## Method Details

### registerSelectionListener

protected void registerSelectionListener(IWorkbenchPart aPart)
Registers this action as a listener of the workbench part.

### unregisterSelectionListener

protected void unregisterSelectionListener(IWorkbenchPart aPart)
Unregisters this action as a listener of the workbench part.